#pragma once
#include "Entity.h"
#include "CS_Boss_SoapKingMagicFloor.h"
//·¨Êõ£ºÐü¸¡µØ°å
class CS_Boss_SoapKingMagicFloor_FloatFloor :
    public Entity
{
public:
    CS_Boss_SoapKingMagicFloor_FloatFloor(std::shared_ptr<Entity> parent, float x, float y);
    void SetFloatCenter(float centerY);
    void Step() override;
    void Disappear();//ÏûÉ¢
    void Destroy();
private:
    int setCount = 0;
    int setInterval_count = 0;
    int setInterval_count_max = 8;
    float offsetX = -24;
    float floatCenterY = 0;
    std::list<std::weak_ptr<CS_Boss_SoapKingMagicFloor>> floorArr;
};

std::weak_ptr<CS_Boss_SoapKingMagicFloor_FloatFloor> SetCS_Boss_SoapKingMagicFloor_FloatFloor(std::shared_ptr<Entity> parent, float x, float y);